DELIMITER mysolus$$
	CREATE  OR REPLACE  FUNCTION  Get_Age_Band (vAge SMALLINT) RETURNS tinyint(4) BEGIN     DECLARE vAge_Band_Ret TINYINT DEFAULT -1;      DECLARE CONTINUE HANDLER FOR SQLEXCEPTION RETURN -1;        CASE      WHEN vAge <= 15 THEN SET vAge_Band_Ret = 1;     WHEN vAge BETWEEN 16 AND 20 THEN SET vAge_Band_Ret = 2;     WHEN vAge BETWEEN 21 AND 25 THEN SET vAge_Band_Ret = 3;      WHEN vAge BETWEEN 26 AND 30 THEN SET vAge_Band_Ret = 4;          WHEN vAge BETWEEN 31 AND 35 THEN SET vAge_Band_Ret = 5;          WHEN vAge BETWEEN 36 AND 40 THEN SET vAge_Band_Ret = 6;                  WHEN vAge BETWEEN 41 AND 45 THEN SET vAge_Band_Ret = 7;                  WHEN vAge BETWEEN 46 AND 50 THEN SET vAge_Band_Ret = 8;                  WHEN vAge BETWEEN 51 AND 55 THEN SET vAge_Band_Ret = 9;                  WHEN vAge BETWEEN 56 AND 60 THEN SET vAge_Band_Ret = 10;                           WHEN vAge BETWEEN 61 AND 65 THEN SET vAge_Band_Ret = 11;                                   WHEN vAge > 66 THEN SET vAge_Band_Ret = 12;         ELSE SET vAge_Band_Ret = -1;   END CASE;        RETURN vAge_Band_Ret ; END			
mysolus$$
